Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Class InitRealmInfo

    java.lang.Object
      |
      +--oracle.security.jazn.realm.InitRealmInfo

public class InitRealmInfo
extends Object

InitRealmInfo class is used as a placeholder for specifying realm properties when creating a new Realm.

See Also:
  `RealmManager.createRealm(java.lang.String, oracle.security.jazn.realm.InitRealmInfo)`

Nested Class Summary
`static interface` | `InitRealmInfo.RealmType` RealmType defines the different realm types supported by JAZN.

Constructor Summary
`InitRealmInfo(String realmType, String adminUser, String adminRole, Hashtable attributes)` Construct a InitRealmInfo object.

Method Summary
`String` | `getAdminRole()` Return admin role name
`String` | `getAdminUser()` Return admin user name
`Hashtable` | `getAttributes()` Get attributes for the InitRealmInfo.
`String` | `getRealmType()` Get the realm type.
`Class` | `getRoleMgrImplClass()` Get the implementation class for the realm's role manager
`Class` | `getUserMgrImplClass()` Get the implementation class for the realm's user manager
`void` | `setRoleMgrImplClass(Class roleMgrImplClass)` Set the implementation class for the realm's role manager.
`void` | `setUserMgrImplClass(Class userMgrImplClass)` Set the implementation class for the realm's user manager.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitRealmInfo

    public InitRealmInfo(String realmType,
    String adminUser,
    String adminRole,
    Hashtable attributes)

  Construct a InitRealmInfo object. param realmType specify of the type defined in RealmType interface.
Parameters:
  `adminUser` - the name of the realm administrator to be created
  `adminRole` - the role to be granted the admin privileges for this realm.

Method Detail

### getRealmType

    public String getRealmType()

  Get the realm type.

### getAttributes

    public Hashtable getAttributes()

  Get attributes for the InitRealmInfo.
  Returns:
    a Hashtable.

### setUserMgrImplClass

    public void setUserMgrImplClass(Class userMgrImplClass)

  Set the implementation class for the realm's user manager. Invoking this method is optional. By default, a JAZN User Manager will be set based on the realm type specified in the InitRealmInfo constructor.
  Parameters:
    `userMgrImplClass` - implementation class for the realm's user manager

### getUserMgrImplClass

    public Class getUserMgrImplClass()

  Get the implementation class for the realm's user manager

### setRoleMgrImplClass

    public void setRoleMgrImplClass(Class roleMgrImplClass)

  Set the implementation class for the realm's role manager. Invoking this method is optional. By default, a JAZN Role Manager will be set based on the realm type specified to the InitRealmInfo constructor.
  Parameters:
    `roleMgrImplClass` - implementation class for the realm's role manager

### getRoleMgrImplClass

    public Class getRoleMgrImplClass()

  Get the implementation class for the realm's role manager

### getAdminUser

    public String getAdminUser()

  Return admin user name

### getAdminRole

    public String getAdminRole()

  Return admin role name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.